#
# v_ezbounce.tcl
#
set revision "May/2/2002"
 
#
# official homepage      : http://vware.hypermart.net
# author's email         : moopowah@yahoo.com
#
#
# :: Description ::
#     Allows you to use eggdrop with an ezbounce bounce (:P).  It also
#     has the capability to connect to ssl irc servers.  Supports all
#     the newest ezbounces!  Tested on 0.99.x, and 1.0-pre10.  I wrote a
#     howto for eggdrop/ezbounce-ssl on my website.
#
# :: Requirements ::
#     1) Ezbounce MUST be configured with the user "default" if using
#        ezbounce version 1.0+.
#
# :: Installation ::
#     1) Just configure below and add a "source <pathToThisFile>" in
#        your eggdrop config.
#
# :: Notes ::
#     You can find ezbounce at http://druglord.freelsd.org/ezbounce/.
#     The purpose of this script is to encrypt eggdrop transmissions.
#
########################################################################


### Configure ###
#
# The password ezbounce is configured with.  For newer ezbounce's the
# username is assumed to be "default".
set password "myPasswordHere"

# {[ssl] <server>[:port]}
# List of irc servers to connect to.  If ezbounce supports connecting to
# ssl irc servers, then add "ssl " (notice the space) to the beginning
# of the line to denote you want a secure connection with the irc server
# (assuming the server supports built-in ssl like LinkNet!).
set irc_servers {
    "ssl irc.mirkwarriors.net:7000"
}

# List of vhosts to randomly use, or leave blank for default.
set vhosts {
    on.of.my.favoriate.vhosts.com
    oh.heres.another.elite.host.com
    im.so.funny.info
    i.now.my.biz
}

########################################################################






 
 
set ez_pass1 "Use /quote conn"
set ez_pass2 "Please use /quote"
set ez_pass3 {[awaiting login/pass command]}

bind notc -|- "$ez_pass1*" ez_conn
bind notc -|- "$ez_pass2*" ez_conn
bind notc -|- "$ez_pass3" ez_conn
 
proc ez_conn { nick uhost hand text dest } {
  global irc_servers vhosts password
  putserv "PASS $password"
  set my_server [lindex $irc_servers [rand [llength $irc_servers]]]
  if { [llength $vhosts] > 0 } {
        set my_vip [lindex $vhosts [rand [llength $vhosts]]]
        putlog "vEzbounce: vhost: $my_vip"
        putserv "VHOST $my_vip"
  }
  putlog "vEzbounce: connecting: $my_server"
  if {[lindex $my_server 0] == "ssl"} {
      putserv "CONN -ssl [lindex $my_server 1]"
  } else {
      putserv "CONN $my_server"
  }
  return 0
}

putlog "LOADED: v_ezbounce.tcl, revision $revision"

# EOF. :-)
